# Default values for sftp-server.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

image:
  repository: quay.io/nnewton/sftp
  tag: sftp
  pullPolicy: Always

nameOverride: ""
fullnameOverride: ""

service:
  enabled: true
  type: ClusterIP
  port: 22

sftpConfig:
  username: sftp
  password: ""
  encrypted: false
  uid: ""
  gid: ""
  hostKeys: {}
    #secret: name-of-existing-secret
    #keys:
    #- ssh_host_rsa_key
    #- ssh_host_ed25519_key

  # Name of secret containing key/val pairs of authorized public keys
  # authorizedKeysSecret: ""

# Define mounts of existing volumes
volumeMounts: []
# volumeMounts:
#   - name: "data"
#     claimName: "data-volume"
#     relativeMountPath: ""
#     subPath: ""


resources:
  sftp:
    limits:
      cpu: 1
      memory: 256Mi
    requests:
      cpu: 200m
      memory: 128Mi
  debug:
    limits:
      cpu: 100m
      memory: 64Mi
    requests:
      cpu: 50m
      memory: 32Mi

nodeSelector: {}

tolerations: []

affinity: {}
